export default class AbstractJDLOption {
    name: any;
    entityNames: Set<string>;
    excludedNames: any;
    constructor(args: any);
    addEntityName(entityName: any): false | Set<string>;
    addEntitiesFromAnotherOption(option: any): boolean;
    excludeEntityName(entityName: any): void;
    getType(): void;
    setEntityNames(newEntityNames: any): void;
    resolveEntityNames(entityNames: string[]): Set<string>;
}
